# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get transaction history ## Overview Get a list of transactions for a specific payment batch or Virtual Transaction Account (VTA), optionally filtering by date range. ## Endpoints Send an API request to one of the following endpoints to execute a request to get the transaction history. For the specification, see the [API reference](/api/treasury/jp-morgan-wallet/doc-2#/operations/transactionSearch). **Endpoints for "Get transaction history" request** | HTTP method | Request | v2.xx | v3.xx | | --- | --- | --- | --- | | GET | Get the transaction history | /payments | Not supported | ## Request ### Query parameters Include the following query parameters in the URL. **Query parameters for "Get transaction history" request** | Parameter | Required / Optional | Description | | --- | --- | --- | | batchPaymentInformationIdentification | Conditionally required | Get transactions from a specific payment batch. Use the paymentInformation.paymentInformationIdentification field of the payment batch. Either this field or the virtualAccountIdentification field is required. | | fromDate | Optional | Get transactions that were executed between this date and toDate. Must be in YYYY-MM-DD format. | | toDate | Optional | Get transactions that were executed between fromDate and this date. Must be in YYYY-MM-DD format. | | virtualAccountIdentification | Conditionally required | Get transactions from a specific VTA. Use the messageIdentification.virtualAccountDetails.virtualAccountIdentification field from the request to create the VTA. Maximum 34 characters. Either this field or the batchPaymentInformationIdentification field is required. | ### Header parameters Include the following parameters in the header: **Header parameters for "Get transaction history" request** | Parameter | Required / Optional | Description | | --- | --- | --- | | programId | Required | Your Wallet program ID. | ## Response If the request is successful, the API returns a response with a list of transactions matching your request criteria. The `transactionInformationAndStatus` array contains the transaction objects. Each object contains information such as the transaction status, the requested execution date, the amount of the transaction, and the currency. The response contains up to 1,000 transactions. If your request criteria results in more than 1,000 transactions, the response contains the 1,000 most recent transactions that match your criteria, as well as a message asking you to narrow your request. ## Example The following example request gets a list of all transactions for a specific VTA: `/v2/jpmwallet/payments?virtualAccountIdentification=VTA-123` The following is the response to the previous example request. ```json { "groupHeader": { "originalNumberOfTransactions": 4, "identification": "VTA-123" }, "transactionInformationAndStatus": [ { "transactionStatus": "RJCT", "requestedExecutionDate": "2022-11-22", "equivalentAmount": { "amount": 9999999999.99, "currency": "USD" }, "statusReasonInformation": [ { "reason": { "code": "AM14" }, "additionalInformation": [ "Transaction amount exceeds balance limit on the account" ] } ], "originalInstructionIdentification": "830ac108-f57a-4f5e-b83d-7bd576090a37", "originalEndToEndIdentification": "EE213C36E2198323", "originalMessageNameIdentification": "V2V" }, { "transactionStatus": "ACSC", "requestedExecutionDate": "2022-11-22", "equivalentAmount": { "amount": 0.01, "currency": "MXN" }, "originalInstructionIdentification": "1e931b8a-b40f-4a8e-a931-86fcba7a95df", "originalEndToEndIdentification": "EE0D1D608EF96831", "originalMessageNameIdentification": "PAYOUT" }, { "transactionStatus": "ACSC", "requestedExecutionDate": "2022-11-22", "equivalentAmount": { "amount": 0.01, "currency": "USD" }, "originalInstructionIdentification": "f83a6673-8921-46f0-93d8-e93c36700763", "originalEndToEndIdentification": "EE213C36E1978323", "originalMessageNameIdentification": "V2V" }, { "transactionStatus": "ACSC", "requestedExecutionDate": "2022-11-17", "equivalentAmount": { "amount": 0.01, "currency": "USD" }, "originalInstructionIdentification": "842b1cc3-228b-437d-ab96-1dbd41d0d890", "originalEndToEndIdentification": "EDBCA43E3B43E18C", "originalMessageNameIdentification": "V2V" } ] } ```